
Foniatr - Feature #177
Bug # 273 (New): Stav k 21-10-2015 seznam probblemu k doreseni, deleni dle priority
Struktura stimulů pro testy
03 February 2014 13:22 - Marek Frič

Status: Resolved Start date: 25 May 2015
Priority: Normal Due date:
Assignee: Tomáš Kulhánek % Done: 100%
Category: server Web Service Estimated time: 16.00 hours
Target version: Psychotest2 Spent time: 21.00 hours
Description

Do jednotlivých testů (resp jejich obrazovek) je vhodné mít možnost vkládat skupinovo stimuly a také je vkládat do struktury (např.
složek souborů), aby si adminstrátor testu mohl lehce najít konkrétní stimuly z banky všech použitých.

Příklad: ted při vkládání stimulů jsou zobrazeny všechny stimuly (a je to nepřehledné, dale nastane problem, pokud si admin chce
naimportovat stimuly se stejnym jmenem).

Vhodné řešení, pro každý test vytvořit jeho složku, kam si může vložit skupinu stimulů (a tedy můžou mít stejná jména jako stimuly
jiných testů)

Subtasks:
Task # 223: Skupiny stimulu Resolved
Related issues:
Related to Feature # 197: vkladani stimulu do testu Resolved 27 May 2014

History
#1 - 03 February 2014 17:04 - Tomáš Kulhánek
- Target version set to Psychotest 1

tj. banka zvuků a případně videí. Momentálně jako bazén (pool) viděný všemi. Nově by mohly být prezentovány s virtuálním adresářem s názvem
testu, který je používá.

#2 - 03 February 2014 17:04 - Tomáš Kulhánek
- Category set to server Web Service
- Assignee set to Tomáš Kulhánek

#3 - 18 June 2014 15:05 - Marek Frič
- Priority changed from Normal to Urgent

#4 - 03 July 2015 17:38 - Tomáš Kulhánek
- Status changed from New to In Progress
- Priority changed from Urgent to High
- % Done changed from 0 to 70

Vytvoreny adresare, do editoru pridana obrazovka "Sprava Stimulu" umoznuje
    -  vytvorit skupinu stimulu
    -  smazat skupinu stimulu, pokud tam nic neni
    -  nahrat stimul do skupiny
V editoru testu 
    -  vybrat skupinu "." je predvolena skupina koren
    -  zvuky ze skupiny se pridaji s prefixem pred nazev souboru napr.:

stimulus hamu/1.wav 

Na strane serveru doplnena web service
    -  /api/sounds vrati zvuky z korenove skupiny "." 
    -  /api/sounds/hamu vrati zvuky ze skupiny hamu
    -  /api/soundgroups vrati seznam vsech skupin (povoleny GET,PUT,DELETE)
    -  nova databazova tabulka sledujici vztah stimul - test pro budouci mozne presuny v testech/mazani stimulu, kdy se zjisti kde prislusny stimul je uz
pouzivan a pripadne se zmeni

#5 - 03 July 2015 17:56 - Tomáš Kulhánek
- Target version changed from Psychotest 1 to Psychotest2

#6 - 13 November 2015 21:48 - Tomáš Kulhánek
- Parent task set to #273

#7 - 13 November 2015 21:48 - Tomáš Kulhánek
- Status changed from In Progress to Resolved
